<! DOCTYPE html>
<html>
    <head>
        <style>
            div {
              width: 200px;
              height: 200px;
              background-color: black;
              color: white;
            }
            .div1 {
              float: left;
            }

            .div2 {
              float: right;
              margin: 2pt;
            }
        </style>
    </head>
    <body>
        <div class="div1">
          div1
        </div>

        <div class="div2">
          div3
        </div>

        <div class="div2">
          div2
        </div>        
    </body>
</html>
